<template>
  <div :class="{container: true, small: small, outline: outline, 'outline--primary': primary}">
    <div class="icon" v-if="$slots.icon">
      <slot name="icon" />
    </div>
    <div class="text">
      <slot class="text"/>
    </div>
  </div>
</template>

<script>
export default {
  name: "Chip",
  props: {
    small: {
      type: Boolean,
      default: false
    },
    outline: {
      type: Boolean,
      default: false
    },
    primary: {
      type: Boolean,
      default: false
    }
  }
}
</script>

<style lang="stylus" scoped>
@import '~assets/styles/variables';

.container
  padding 1rem 2rem
  background-color $grey-light-2
  display inline-block
  border-radius 1000rem
  display inline-flex
  align-items center
  direction rtl
  color $grey-dark
  &.small
    padding .4rem 1rem
    font-size 1.2rem
    font-weight 500
    & .icon svg
      height 1.8rem

  &.outline 
    background-color transparent
    border 1px solid $grey-light-2
    color $grey-light-2
    & svg
      fill $grey-light-2
    &--primary
      color $primary
      border-color $primary
      & svg
        fill $primary
    
.icon
  display flex
  align-items center
  margin-left .6rem
  & svg 
    width 1.5rem
    fill $grey-dark

</style>

